import java.io.*;
import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.table.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;


public class  radyo_kontrol extends JApplet implements ActionListener,ItemListener
{
  
  Container c;
  JPanel inputPanel;
  JButton b;
  JTextField t;
  JRadioButton normal,kalin,italik,kalinitalik;
  ButtonGroup gurup;
  int kirmizi,yesil,mavi;
  int kalin_font,italik_font;
  public Color renk;
  String s;
  public void init()
  {    
	s="Bu yazının sitilini değiştirin  kontrol karekterleri  alt N normal alt K Kalın  alt t italik  alt a kalın italik";
	renk=Color.blue;
	c=getContentPane();
    inputPanel=new JPanel();
    c.setLayout(new BorderLayout());
    inputPanel.setLayout(new GridLayout(1,4));
    b=new JButton("ekran rengini değiştirmek için düğme'ye basınız");
    t=new JTextField(s);    
    italik_font=Font.PLAIN;
	kalin_font=Font.PLAIN;
	JPanel  Check=new JPanel();
    Check.setLayout(new GridLayout(4,0));
    gurup=new ButtonGroup();
    normal=new JRadioButton("Normal");
    normal.setMnemonic('N');
    normal.setSelected(true);
    normal.addItemListener(this);
    gurup.add(normal);
    inputPanel.add(normal);

    kalin=new JRadioButton("Kalın");
    kalin.setMnemonic('K');
    kalin.setSelected(false);
    kalin.addItemListener(this);
    gurup.add(kalin);
    inputPanel.add(kalin);

   italik=new JRadioButton("İtalik");
   italik.setMnemonic('t');
   italik.setSelected(false);
   italik.addItemListener(this);
   gurup.add(italik);
   inputPanel.add(italik);

   kalinitalik=new JRadioButton("Kalın-İtalik");
   kalinitalik.setMnemonic('a');
   kalinitalik.setSelected(false);
   kalinitalik.addItemListener(this);
   gurup.add(kalinitalik);
   inputPanel.add(kalinitalik);
   
	t.setFont(new Font("TimesRoman",kalin_font+italik_font,14));
    inputPanel.add(t);
      
    c.add(b,BorderLayout.NORTH);
    c.add(t,BorderLayout.CENTER);
    c.add(inputPanel,BorderLayout.SOUTH);
    b.addActionListener(this);
  }

public void itemStateChanged(ItemEvent e)
{    Object kutu=e.getItemSelectable();
 if(kutu==normal)
   {
   kalin_font=Font.PLAIN;
   italik_font=Font.PLAIN;
   }
   else if(kutu==kalin)
   {
   kalin_font=Font.BOLD;
   italik_font=Font.PLAIN;
   }
 else if(kutu==italik)
   {
   kalin_font=Font.PLAIN;
   italik_font=Font.ITALIC;
   }
 else if(kutu==kalinitalik)
   {
   kalin_font=Font.BOLD;
   italik_font=Font.ITALIC;
   }
   t.setFont(new Font("TimesRoman",kalin_font+italik_font,14));
   repaint();
}


public void actionPerformed( ActionEvent e)
{
//tesadüfi renk belirle düğmeye her basılışta rengi değiştir.	
kirmizi=(int)(255.0*Math.random());
yesil  =(int)(255.0*Math.random());
mavi   =(int)(255.0*Math.random());
renk=new Color(kirmizi,yesil,mavi);
//input panelin rengini değiştiriyoruz
inputPanel.setBackground(renk);
//ana panelin rengini değiştiriyoruz
c.setBackground(renk);
//yazı kutusunun rengini değiştiriyoruz
t.setBackground(renk);
normal.setBackground(renk);
kalin.setBackground(renk);
italik.setBackground(renk);
kalinitalik.setBackground(renk);
repaint();
}

    public static void main(String s[])
    {
        JFrame f = new JFrame("Grafik ekran radyo kontrol programı");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        });
        JApplet applet = new radyo_kontrol();
        f.getContentPane().add("Center", applet);
        applet.init();
        f.pack();
        f.setSize(new Dimension(700,400));
        f.setVisible(true);
    }
}





